/*
 Theme Name:   Maco
 Theme URI:    https://shandykaf.com
 Description:  Kadence Child Theme
 Author:       Shandyka Febrian
 Author URI:   https://shandykaf.com
 Template:     kadence
 Version:      1.0.0
 Text Domain:  kadence-child
*/

/* GLOBAL */

:root {
  /* TYPE */
  --default-title-family: "DM Sans";
  --default-title-size: 33px;
  --default-title-size-rem: 2.0625rem;
  --default-title-weight: 700;
  --default-title-style: normal;
  --default-subtitle-family: "DM Sans";
  --default-subtitle-size: 18px;
  --default-subtitle-size-rem: 1.125rem;
  --default-subtitle-weight: 700;
  --default-subtitle-style: normal;
  --default-subtitle-letter-spacing: 1.44px;
  --default-subtitle-letter-spacing-rem: 0.09rem;
  --default-desc-family: "Roboto";
  --default-desc-size: 16px;
  --default-desc-size-rem: 1rem;
  --default-desc-weight: 400;
  --default-desc-style: normal;
  --default-desc-line-height: 26px;
  --default-desc-line-height-rem: 1.625rem;
  --default-category-family: "Roboto";
  --default-category-size: 18px;
  --default-category-size-rem: 1.125rem;
  --default-category-weight: 500;
  --default-category-style: normal;
  --default-menu-family: "DM Sans";
  --default-menu-size: 15px;
  --default-menu-size-rem: 0.9375rem;
  --default-menu-weight: 500;
  --default-menu-style: normal;
  --default-field-family: "Roboto";
  --default-field-size: 16px;
  --default-field-size-rem: 1rem;
  --default-field-weight: 400;
  --default-field-style: normal;
  --banner-title-family: "DM Sans";
  --banner-title-size: 46px;
  --banner-title-size-rem: 2.875rem;
  --banner-title-weight: 700;
  --banner-title-style: normal;
  --banner-subtitle-family: "DM Sans";
  --banner-subtitle-size: 20px;
  --banner-subtitle-size-rem: 1.25rem;
  --banner-subtitle-weight: 700;
  --banner-subtitle-style: normal;
  --banner-subtitle-letter-spacing: 1.6px;
  --banner-subtitle-letter-spacing-rem: 0.1rem;
  --banner-desc-family: "Roboto";
  --banner-desc-size: 18px;
  --banner-desc-size-rem: 1.125rem;
  --banner-desc-weight: 600;
  --banner-desc-style: normal;
  --banner-desc-line-height: 28px;
  --banner-desc-line-height-rem: 1.75rem;
  --button-default-family: "DM Sans";
  --button-default-size: 16px;
  --button-default-size-rem: 1rem;
  --button-default-weight: 700;
  --button-default-style: normal;
  --button-banner-family: "DM Sans";
  --button-banner-size: 18px;
  --button-banner-size-rem: 1.125rem;
  --button-banner-weight: 700;
  --button-banner-style: normal;
  --button-menu-family: "DM Sans";
  --button-menu-size: 15px;
  --button-menu-size-rem: 0.9375rem;
  --button-menu-weight: 700;
  --button-menu-style: normal;
  --button-tab-family: "DM Sans";
  --button-tab-size: 15px;
  --button-tab-size-rem: 0.9375rem;
  --button-tab-weight: 700;
  --button-tab-style: normal;
  --testimonial-title-family: "DM Sans";
  --testimonial-title-size: 18px;
  --testimonial-title-size-rem: 1.125rem;
  --testimonial-title-weight: 700;
  --testimonial-title-style: normal;
  --testimonial-name-family: "Roboto";
  --testimonial-name-size: 16px;
  --testimonial-name-size-rem: 1rem;
  --testimonial-name-weight: 600;
  --testimonial-name-style: normal;
  --testimonial-name-line-height: 147%;
  --testimonial-desc-family: "Roboto";
  --testimonial-desc-size: 15px;
  --testimonial-desc-size-rem: 0.9375rem;
  --testimonial-desc-weight: 400;
  --testimonial-desc-style: normal;
  --testimonial-desc-line-height: 23.4px;
  --testimonial-desc-line-height-rem: 1.4625rem;
  --footer-title-family: "DM Sans";
  --footer-title-size: 18px;
  --footer-title-size-rem: 1.125rem;
  --footer-title-weight: 700;
  --footer-title-style: normal;
  --footer-desc-family: "Roboto";
  --footer-desc-size: 15px;
  --footer-desc-size-rem: 0.9375rem;
  --footer-desc-weight: 400;
  --footer-desc-style: normal;
  --footer-desc-line-height: 23px;
  --footer-desc-line-height-rem: 1.4375rem;
  --footer-copyright-family: "Roboto";
  --footer-copyright-size: 13px;
  --footer-copyright-size-rem: 0.8125rem;
  --footer-copyright-weight: 400;
  --footer-copyright-style: normal;

  /* COLORS */
  --blue-default: #273f85;
  --blue-border: #a9b2ce;
  --blue-background: #f2f4f8;
  --yellow-default: #f2c832;
  --yellow-border: #fdecb1;
  --yellow-background: #fffcf4;
  --red-default: #d52027;
  --red-border: #eea6a9;
  --red-background: #fdf2f2;
  --green-default: #29bf38;
  --green-border: #a6ecad;
  --green-background: #f2fcf3;
  --black-default: #232323;
  --black-paragraph: #4a4a4a;
  --grey-border: #cecece;
  --grey-background: #e3e3e3;
  --grey-background-2: #ededed;
  --grey-background-3: #f5f5f5;
  --grey-background-4: #d9d9d9;
  --grey-background-5: #fafafa;
  --white-default: #ffffff;

  /* SHADOWS */
  --button-blue: 0 12px 20px -5px rgba(1 60 116 / 0.38);
  --button-black: 0 12px 20px -4px rgba(0 0 0 / 0.18);
  --button-red: 0 12px 20px -5px rgba(173 33 39 / 0.3);
  --box-medium-black: 0 25px 32px -10px rgba(0 0 0 / 0.18);
  --box-small-black: 0 20px 25px -9px rgba(0 0 0 / 0.18);
  --box-large-black: 0 25px 32px -10px rgba(0 0 0 / 0.18);
}

.sample-page {
	font-family: var(--sample-title-family);
	font-size: var(--sample-title-size);
	font-weight: var(--sample-title-weight);
	font-style: var(--sample-title-style);
}

/* BODY */

.single-content h1.elementor-heading-title,
.single-content h2.elementor-heading-title,
.single-content h3.elementor-heading-title,
.single-content h4.elementor-heading-title,
.single-content h5.elementor-heading-title,
.single-content h6.elementor-heading-title {
  margin-bottom: 0 !important;
}

.single-content p:last-child {
  margin-bottom: 0px !important;
}
.single-content p:not(:last-child) {
  margin-bottom: 15px !important;
}

.aspect-ratio-1-1,
.aspect-ratio-1-1 img {
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.subtitle-style.subtitle-color-red .elementor-heading-title::before,
.subtitle-style.subtitle-color-white .elementor-heading-title::before {
	content: '';
    display: inline-block;
    margin-right: 12px;
    margin-bottom: 4px;
    width: 22px;
    height: 2px;
    background: #29b43f;
}

.subtitle-style.subtitle-color-red .elementor-heading-title::before {
	background: var(--grey-border);
}

.subtitle-style.subtitle-color-white .elementor-heading-title::before {
	background: var(--white-default);
}

.text-align-center .jet-listing-dynamic-link__label {
	text-align: center;
}


/* SHADOWS */

.btn-default.btn-shadow-blue a {
  box-shadow: var(--button-blue) !important;
}

.btn-default.btn-shadow-black a {
  box-shadow: var(--button-black) !important;
}

.btn-default.btn-shadow-red a {
  box-shadow: var(--button-red) !important;
}
.product-list .elementor-widget-jet-listing-dynamic-image {
	transition: background-color 0.3s ease;
}

.product-list:hover .elementor-widget-jet-listing-dynamic-image {
	background-color: white !important;
}


.btn-default.btn-shadow-blue a:hover,
.btn-default.btn-shadow-blue a:hover,
.btn-default.btn-shadow-blue a:hover {
  box-shadow: none !important;
}

.box-effect.box-medium-black {
  box-shadow: var(--box-medium-black) !important;
}

.box-effect.box-small-black {
  box-shadow: var(--box-small-black) !important;
}

.box-effect.box-large-black {
  box-shadow: var(--box-large-black) !important;
}

/* HEADER */

header.site-header,
.item-is-fixed {
  -webkit-box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.1);
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.1);
}

.site-header-row-container-inner .site-container {
  padding: 0 !important;
}

.header-navigation .menu li.btn-interact {
  margin-left: 10px;
}

.header-navigation .menu li.btn-interact a {
  padding: 10px 26px !important;
  background: var(--red-default);
  color: var(--white-default) !important;
  box-shadow: var(--button-red);
}

.header-navigation .menu li.btn-interact a:hover {
  background: var(--red-border);
  color: var(--red-default) !important;
  box-shadow: none;
}
.btn-pulse .elementor-button {
	animation: pulse-shadow 1.5s infinite;
}

.btn-pulse .elementor-button:hover {
	animation: none;
	box-shadow: none;
}
@keyframes pulse-shadow {
	0% {
		box-shadow: 0 0 0 0px #ffffff8a;
	}

	100% {
		box-shadow: 0 0 0 20px #ffffff00;
	}
}

.repeater-advantages .jet-listing-dynamic-repeater__items {
	display : grid !important;
	grid-template-columns : 1fr 1fr 1fr 1fr;
	gap : 20px;
}
.repeater-advantages .jet-listing-dynamic-repeater__items .advantages-box {
	padding: 20px 20px 20px 20px;
    background-color: transparent;
    background-image: linear-gradient(135deg, #efefef 0%, #EFEFEF00 100%);
	font-size : 16px;
	font-weight : 500;
	text-align : center;
	text-transform : uppercase;
}
/* FOOTER */

.site-middle-footer-wrap .site-middle-footer-inner-wrap {
  grid-template-columns: 2.5fr 1fr 1fr 1fr !important;
}

.site-middle-footer-wrap .site-footer-middle-section-1 {
  padding-right: 100px;
}

.site-middle-footer-wrap .widget_nav_menu li {
  font-family: var(--footer-desc-title-family);
  font-size: var(--footer-desc-title-size);
  font-weight: var(--footer-desc-title-weight);
  font-style: var(--footer-desc-title-style);
  color: var(--black-paragraph);
}

.site-bottom-footer-inner-wrap {
  padding-top: 0;
}

/* BUTTON - STICKY WHATSAPP BUTTON */

.wa-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 999999;
}

.wa-button a {
  background: linear-gradient(to top, #29b43f, #60d36b);
  color: #fff !important;
  width: 60px;
  display: table;
  height: 60px;
  border-radius: 100%;
  position: relative;
  text-align: center;
  font-size: 35px !important;
  transition: all 0.2s ease-in-out;
  box-shadow: 0 10px 20px -10px rgba(0, 0, 0, 0.35);
  outline: none;
  text-decoration: none;
}

.wa-button a:hover {
  transform: scale(0.9);
  text-decoration: none !important;
}

.wa-button a i {
  vertical-align: middle;
  text-decoration: none;
  z-index: 888;
  display: table-cell;
  transition: all 0.2s ease-in-out;
  text-shadow: 0 2px 5px rgba(20, 113, 34, 0.5);
}

.wa-button a:hover i {
  text-shadow: 0 0 0 rgba(20, 113, 34, 0.5);
  text-decoration: none;
}

/* CERTIFICATION */

.cert-style .swiper {
  padding: 0 40px;
}

.cert-style .swiper-slide-inner img {
  box-shadow: var(--box-small-black);
}

.cert-style .elementor-swiper-button-next,
.cert-style .elementor-swiper-button-prev {
  display: flex !important;
  justify-content: center;
  align-items: center;
  height: 34px;
  width: 34px;
  background: var(--blue-border);
}


/* WARNA */

.list-tipe-warna .jet-listing-grid__items {
	justify-content: center;
}

.list-tipe-warna-thumb img {
	aspect-ratio: 12/9;
	object-fit: cover;
}


/* BLOG */

.list-blog .jet-listing-dynamic-image img {
	aspect-ratio: 4/3;
	object-fit: cover;
}


/* PARTNER */

.partner-logo .swiper-wrapper {
  -webkit-transition-timing-function: linear !important;
  transition-timing-function: linear !important;
  pointer-events: none;
}

/* CONTACT FORM */

.form-contact .nf-form-content {
	padding: 0 !important;
}

.form-contact .nf-form-fields-required,
.form-contact .ninja-forms-req-symbol {
	display: none !important;
}

.form-contact .nf-field-label {
	margin-bottom: 5px !important;
}

.form-contact .nf-form-content label {
	font-family: var(--testimonial-name-family);
	font-size: var(--testimonial-name-size);
	font-weight: var(--testimonial-name-weight);
	font-style: var(--testimonial-name-style);
}

.form-contact .nf-form-content input:not([type=button]),
.form-contact .nf-form-content textarea.ninja-forms-field {
	background: var(--white-default) !important;
    border: 1px solid var(--grey-border) !important;
}

.form-contact .nf-form-content textarea.ninja-forms-field {
	height: 140px;
}

.form-contact .nf-form-content input[type=submit] {
	height: 52px;
	padding: 14px 30px;
	background: var(--red-default) !important;
	color: var(--white-default);
	font-family: var(--button-default-family);
	font-size: var(--button-default-size);
	font-weight: var(--button-default-weight);
	font-style: var(--button-default-style);
	border: unset !important;
	box-shadow: var(--button-red);
}

.form-contact .nf-form-content input[type=submit]:hover {
	background: var(--red-background) !important;
	color: var(--red-default);
	box-shadow: none;
}


/* DESKTOP */
@media (min-width: 1280px) {
	/* FOOTER */
	.site-middle-footer-wrap .site-container {
		padding: 0 !important;
	}
}

/* TABLET */
@media (min-width: 768px) and (max-width: 1279px) {
}

/* MOBILE */
@media (max-width: 767px) {
  	/* HEADER */
	.site-header-row-container-inner .site-container {
		padding: 0 20px !important;
	}
	
	/* FOOTER */
	.site-middle-footer-wrap .site-middle-footer-inner-wrap {
		grid-template-columns: none !important;
	}

	/* BUTTON - STICKY WHATSAPP BUTTON */
	.wa-button {
		bottom: 10px;
		right: 10px;
	}

	/* BLOG */
	.list-blog .jet-listing-grid__item:last-child {
		display: none;
	}
	
	/* TABLE */
	.table-style .elementor-shortcode {
		overflow-x: auto;
	}
	.table-style .elementor-shortcode table {
		width: max-content;
	}
}
